Bug 89491 - Pentax digital camera makes usb-storage feel sick
Summary: Pentax digital camera makes usb-storage feel sick
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-23 14:38 UTC by Per Winkvist
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-18 00:39:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
unusual_devs entry (488 bytes, patch)
2003-04-23 15:01 UTC, Per Winkvist
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:263 high SHIPPED_LIVE Updated 2.4 kernel resolves obscure bugs. 2003-08-20 04:00:00 UTC

Description Per Winkvist 2003-04-23 14:38:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When I used the kernel that came with RH 9 the system would usually crash when I
connected my camera. But this have been fixed with the errata kernel. Whenever I
connect my camera usb-storage seems to get stuck.

The only way for me (and others) to have the camera working is to modify
usb-storage/unusual_devs.h Then the camera will work marvelous (kernel finds it
with real name, mounting, copying to/from, umounting, rmmod).




Version-Release number of selected component (if applicable):
kernel-2.4.20-9

How reproducible:
Always

Steps to Reproduce:
1. Turn on the camera
2. System finds camera
3. Messages like these appear:
       hub.c: new USB device 00:10.1-2, assigned address 3
       scsi2 : SCSI emulation for USB Mass Storage devices
       usb-uhci.c: interrupt, status 3, frame# 854
4. Doing cat /proc/bus/usb/devices gives
      usb_control/bulk_msg: timeout
      usb_control/bulk_msg: timeout
      usb_control/bulk_msg: timeout
      <long delay>
5. Doing cat /proc/scsi/scsi
      Host: scsi2 Channel: 00 Id: 00 Lun: 00
       Vendor:          Model:                  Rev:
       Type:   <NULL>                ANSI SCSI revision: ffffffff

6. Trying to rmmod usb-storage and you have to wait for ever. When rebooting
there are complaints that you can't umount /usr (for example) 

Additional info:

Comment 1 Per Winkvist 2003-04-23 15:01:03 UTC
Created attachment 91247 [details]
unusual_devs entry

The problem and different patches have floated around for some time. I now
noticed that a fix for this have appeared in 2.5.68

     +UNUSUAL_DEV( 0x0a17, 0x0004, 0x1000, 0x1000,
     +		      "ASAHI PENTAX",
     +		      "PENTAX OPTIO 430",
     +		      US_SC_8070, US_PR_CBI, NULL,
     +		      US_FL_FIX_INQUIRY ),

http://www.geocrawler.com/mail/msg.php3?msg_id=9914734&list=4563
     + US_SC_8070, US_PR_CB, NULL,
     + US_FL_MODE_XLATE|US_FL_FIX_INQUIRY

http://www.mail-archive.com/linux-usb-devel%40lists.sourceforge.net/msg12594.html

     + US_SC_8070, US_PR_CB, NULL,
     + US_FL_MODE_XLATE|US_FL_FIX_INQUIRY ),

http://www.ussg.iu.edu/hypermail/linux/kernel/0210.1/1838.html
    + US_SC_8070, US_PR_CBI, NULL, 
    + US_FL_FIX_INQUIRY ),


What is the difference between US_PR_CB and US_PR_CBI (seems the pentax cams
can work with either). The models that needs this are at least:
   Optio 330
   Optio 430
   Optio S

Comment 2 Pete Zaitcev 2003-04-28 18:11:47 UTC
Use CB (Control/Bulk). The CBI (Conrol/Bulk/Interrupt) taxes Interrupt
endpoints and those may have problems in some HCDs (temporarily - I am
discussing it with Greg K-H). In any case most devices like CB more.


Comment 3 Per Winkvist 2003-04-28 18:35:36 UTC
Hi Pete, 
 
I've also talked to Greg about this but he wasn't as specific as you were ;=) 
	> What is the difference between US_PR_CB and US_PR_CBI 
	Quite a bit :)  It's the way the device talks to the host.  
 
I'm going to send him a patch this week once I get some feedback from some other Pentax 
camera users. The patch I sent to them had US_PR_CBI. If that works for them would 
US_PR_CB work too? 
 

Comment 4 Pete Zaitcev 2003-06-03 20:25:29 UTC
Per, please poke Matt Dharm or Greg Kroah for a backport.
We just issued 2.4.20-18 today, cut from latest, and ... no pentax!
Hrm... I really cannot advocate it for you without the equipment.
Please let me know of any updates.


Comment 5 Per Winkvist 2003-06-04 05:11:06 UTC
The patch I made is in the 2.4 and 2.5 tree @ linuxusb.bkbits.net. Greg said he won't push it to 
Marcel until for 2.4.22. I can send you the Pentax bits from that file if you want right now, or do 
you want to wait until they goes in .22? 
 
Please note that I never got any response from Greg if we should use US_PR_CB or 
US_PR_CBI (which the trees now have). Anyway, it works great for me! 

Comment 6 Pete Zaitcev 2003-06-04 05:56:27 UTC
I forgot about the situation with the 2.4.22. Many fixes are held up.


Comment 7 Per Winkvist 2003-06-04 06:40:16 UTC
The patch only adds two unusal_devs.h entries so it's not that massive ;=) 
 
 

Comment 8 Per Winkvist 2003-07-12 09:03:53 UTC
Okay Pete, The patch has been in .22pre now for a while. Perhaps you could take 
the Pentax unusual_devs.h bits now!?! (There are other entries that I think you 
should add as well from the .22pre file too) 

Comment 9 Pete Zaitcev 2003-07-28 20:54:34 UTC
Mental note: compare with bug 97260.


Comment 10 Pete Zaitcev 2003-07-30 19:49:04 UTC
CVS 2.4.20-19+.


Comment 11 Pete Zaitcev 2003-09-18 00:39:06 UTC
Per, it's a responsibility of a requestor to re-test and close modified bugs.
Closing on faith now.


Comment 12 Per Winkvist 2003-09-20 11:40:05 UTC
Sorry Pete, I didn't realise I was the one that should close it :=) 
 


Note You need to log in before you can comment on or make changes to this bug.